Distribution:	CCux
Packager:  	Christian Metzen <metzench@ccux-linux.de>

Summary: 	X.Org X11 libXv runtime library
Name:    	libXv
Version: 	1.0.6
Release: 	1
License: 	MIT/X11
Group: 		System/Libraries
URL: 		http://www.x.org
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch:	i686

Source0: 	http://xorg.freedesktop.org/releases/individual/lib/%{name}-%{version}.tar.bz2

BuildRequires: 	pkg-config
BuildRequires: 	xorg-x11-proto-devel

#Automatically resolved build dependencies
BuildRequires: glibc-devel
BuildRequires: libX11-devel
BuildRequires: libXext-devel

%description
X.Org X11 libXv runtime library

%package devel
Summary: 	X.Org X11 libXv development package
Group: 		Development/Libraries
Requires(pre): 	xorg-x11-filesystem >= 0.99.2-3
Requires: 	%{name} = %{version}-%{release}

# NOTE: libXext-devel dependency added to fix bug #192167
Requires: 	libXext-devel
# needed by xv.pc
Requires: 	xorg-x11-proto-devel

%description devel
X.Org X11 libXv development package

%prep
%setup -q -n %{name}-%{version}

# Disable static library creation by default.
%define with_static 0

%build
%configure \
%if ! %{with_static}
	--disable-static
%endif
make

%install

rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

# We intentionally don't ship *.la files
rm -f $RPM_BUILD_ROOT%{_libdir}/*.la

# strip debug symbols
find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';'


%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc COPYING README INSTALL ChangeLog
%{_libdir}/libXv.so.1
%{_libdir}/libXv.so.1.*

%files devel
%defattr(-,root,root,-)
%{_includedir}/X11/extensions/Xvlib.h
%if %{with_static}
%{_libdir}/libXv.a
%endif
%{_libdir}/libXv.so
%{_libdir}/pkgconfig/xv.pc
%{_mandir}/man3/Xv.3.gz
%{_mandir}/man3/XvCreateImage.3.gz
%{_mandir}/man3/XvFreeAdaptorInfo.3.gz
%{_mandir}/man3/XvFreeEncodingInfo.3.gz
%{_mandir}/man3/XvGetPortAttribute.3.gz
%{_mandir}/man3/XvGetStill.3.gz
%{_mandir}/man3/XvGetVideo.3.gz
%{_mandir}/man3/XvGrabPort.3.gz
%{_mandir}/man3/XvListImageFormats.3.gz
%{_mandir}/man3/XvPortNotify.3.gz
%{_mandir}/man3/XvPutImage.3.gz
%{_mandir}/man3/XvPutStill.3.gz
%{_mandir}/man3/XvPutVideo.3.gz
%{_mandir}/man3/XvQueryAdaptors.3.gz
%{_mandir}/man3/XvQueryBestSize.3.gz
%{_mandir}/man3/XvQueryEncodings.3.gz
%{_mandir}/man3/XvQueryExtension.3.gz
%{_mandir}/man3/XvQueryPortAttributes.3.gz
%{_mandir}/man3/XvSelectPortNotify.3.gz
%{_mandir}/man3/XvSelectVideoNotify.3.gz
%{_mandir}/man3/XvSetPortAttribute.3.gz
%{_mandir}/man3/XvShmCreateImage.3.gz
%{_mandir}/man3/XvShmPutImage.3.gz
%{_mandir}/man3/XvStopVideo.3.gz
%{_mandir}/man3/XvUngrabPort.3.gz
%{_mandir}/man3/XvVideoNotify.3.gz

%changelog
* Wed Dec 08 2010 Karsten Brockmann <arcam@ccux-linux.de> 1.0.6-1
- version update
* Sat Aug 14 2010 Karsten Brockmann <arcam@ccux-linux.de> 1.0.5-2
- rebuilt
* Mon Oct 19 2009 Karsten Brockmann <arcam@ccux-linux.de> 1.0.5-1
- version update
* Fri May 21 2009 Karsten Brockmann <arcam@ccux-linux.de> 1.0.4-3
- rebuilt
* Fri Feb 27 2009 Karsten Brockmann <arcam@ccux-linux.de> 1.0.4-2
- rebuilt, updated dependencies
* Sat Sep 06 2008 Stefan Gottwald <gotti@ccux-linux.de> 1.0.4-1
- Version update
* Sat Sep 09 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.0.3-2
- rebuilt for Xorg 7.3
* Sun Feb 18 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.0.3-1
- Version update
* Sat Jul 01 2006 Christian Metzen <metzench@ccux-linux.de> 1.0.1-1
- Initial release
